#pragma once

#include "Rect.hpp"

namespace TSE
{
    class Texture;

    struct Sprite
    {
    private:
        Texture* tex = nullptr;
        Rect uvBounds = Rect(0,0,0,0);

    public:
        inline Sprite() {};
        Sprite(Texture* tex, Rect bounds);
        ~Sprite() = default;
        Texture* GetTexture();
        Rect& GetUVRect();
        void GetUVs(std::vector<Vector2>& uvs);
    };
} // namespace TSE
